//----------------------------------------------------------------------------
//  glBSP Win32 Main
//----------------------------------------------------------------------------
// 
//  Copyright (c) 2000  Andy Baker
// 
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License
//  as published by the Free Software Foundation; either version 2
//  of the License, or (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//----------------------------------------------------------------------------
//
#include "sys_inc.h"

// consistency check
#ifndef GLBSP_GUI
#error GLBSP_GUI should be defined when compiling this file
#endif

//
// WinMain
//
// Life starts here....
//
int PASCAL WinMain (HINSTANCE curr, HINSTANCE prev, LPSTR cmdline, INT show)
{
  MSG msg;
  static boolean_g gameon = true;
  static HACCEL accelerator;

  // Startup
  if (!MainStartupApplication(curr, show))
    return 100;

  // Init Main Controls
  if (!MainInitControls())
    return 101;

  // Main Loop
  while (gameon)
  {
    while (PeekMessage(&msg, NULL, 0, 0, PM_REMOVE))
    {
      if (msg.message == WM_QUIT)
      {
        gameon = false;
        break;
      }

      if (!TranslateAccelerator(msg.hwnd, accelerator, &msg))
      {
        TranslateMessage(&msg);
        DispatchMessage(&msg);
      }
    }
  }

  return 0;
}

